package org.kie.examples.spring;

import org.jboss.arquillian.junit.Arquillian;
import org.junit.Ignore;
import org.junit.runner.RunWith;
import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * Wrapper with deployment and helper methods for Spring container tests.
 *
 */
@RunWith(Arquillian.class)
@Ignore
public class AbstractSpringContainerTest {

    protected static final String MANAGED_CONTAINER = "managed-container";

    /**
     * Creates new application context.
     *
     * @param resourceLoaderClass
     *            Class which will be used to load given resource
     * @param path
     *            to classpath resource containing configuration XML
     * @return new initialized Spring ApplicationContext
     */
    protected AbstractApplicationContext getApplicationContext(Class<?> resourceLoaderClass, String path) {

        /*
        ReleaseId relId = KieServices.Factory.get().newReleaseId("org.kie.spring.example", 
                                                                 UUID.randomUUID().toString(), 
                                                                 "1.0.0");
        KModuleSpringMarshaller.fromXML(resourceLoaderClass.getResource(path), null, relId);
        return (AbstractApplicationContext) KieSpringUtils.getSpringContext(relId);
        */
        return new ClassPathXmlApplicationContext(path, resourceLoaderClass);
    }

}
